micro_utils.dokka
0.15.1

# ContextSafelyExceptionHandler

class ContextSafelyExceptionHandler(val handler: ExceptionHandler<Unit>) : CoroutineContext.Element

ExceptionHandler wrapper which was created to make possible to use handler across all coroutines calls

#### See also

safelyWithContextExceptionHandler
ContextSafelyExceptionHandlerKey

## Constructors

ContextSafelyExceptionHandler
Link copied to clipboard
fun ContextSafelyExceptionHandler(handler: ExceptionHandler<Unit>)

## Functions

fold
Link copied to clipboard
open override fun <R> fold(initial: R, operation: (R, CoroutineContext.Element) -> R): R
get
Link copied to clipboard
open operator override fun <E : CoroutineContext.Element> get(key: CoroutineContext.Key<E>): E?
minusKey
Link copied to clipboard
open override fun minusKey(key: CoroutineContext.Key<*>): CoroutineContext
plus
Link copied to clipboard
open operator fun plus(context: CoroutineContext): CoroutineContext

## Properties

handler
Link copied to clipboard
val handler: ExceptionHandler<Unit>
key
Link copied to clipboard
open override val key: CoroutineContext.Key<*>

## Extensions

LinkedSupervisorJob
Link copied to clipboard
fun CoroutineContext.LinkedSupervisorJob(additionalContext: CoroutineContext? = null): Job